options:
  collate: utf8_unicode_ci
  charset: utf8
  symfony:
    filter: false
    form: true
Censure:
  tableName: censure
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    mot:
      type: string(100)
      fixed: true
      notnull: true
    remplacement:
      type: string(100)
      fixed: true
      notnull: true
Civilite:
  tableName: civilite
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom:
      type: string(50)
      notnull: true
Evenement:
  tableName: evenement
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    active:
      type: integer(1)
      notnull: true
    type_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    lieu_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    auteur_membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    date_debut:
      type: date(25)
      notnull: true
    date_fin:
      type: date(25)
      notnull: false
    titre:
      type: string(55)
      notnull: true
    description:
      type: string(2147483647)
      notnull: true
    active_index:
      type: integer(1)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
    image_1: string(55)
    image_1_truncate: string(55)
    image_2: string(55)
    image_2_truncate: string(55)
    heure_debut: string(5)
    heure_fin: string(5)
  relations:
    Type:
      local: type_id
      foreign: id
      type: one
      foreignAlias: Evenements
    Lieu:
      local: lieu_id
      foreign: id
      type: one
      foreignAlias: Evenements
    Membre:
      local: auteur_membre_id
      foreign: id
      type: one
      foreignAlias: Evenements
  actAs:
    Timestampable:
      updated:
         disabled: true
EvenementInscription:
  tableName: evenement_inscription
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    evenement_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    va:
      type: integer(1)
      notnull: true
    message:
      type: string(255)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    Evenement:
      local: evenement_id
      foreign: id
      type: one
      foreignAlias: EvenementsInscriptions
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: EvenementsInscriptions
  actAs:
    Timestampable:
      updated:
         disabled: true
Fonction:
  tableName: fonction
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom:
      type: string(50)
      notnull: true
    public:
      type: boolean
      notnull: true
GalerieArts:
  tableName: galerie_arts
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    is_galerie_video:
      type: integer(1)
      notnull: true
    nom:
      type: string(50)
      notnull: true
    galerie_arts_categorie_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    path_dossier:
      type: string(80)
      notnull: true
    email:
      type: string(100)
      notnull: true
    description:
      type: string(2147483647)
      notnull: true
    active:
      type: integer(1)
      default: '1'
      notnull: true
    url_site: string(255)
  relations:
    GalerieArtsCategorie:
      local: galerie_arts_categorie_id
      foreign: id
      type: one
      foreignAlias: GaleriesArts
GalerieArtsCategorie:
  tableName: galerie_arts_categorie
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom:
      type: string(55)
      notnull: true
    vignette: string(55)
    active:
      type: integer(1)
      notnull: true
GalerieArtsMedia:
  tableName: galerie_arts_media
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    galerie_arts_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    is_video:
      type: integer(1)
      notnull: true
    nom_fichier:
      type: string(80)
      notnull: true
  relations:
    GalerieArts:
      local: galerie_arts_id
      foreign: id
      type: one
      foreignAlias: GaleriesArtsMedias
Level:
  tableName: level
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom:
      type: string(50)
      notnull: true
Lieu:
  tableName: lieu
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    type_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    active:
      type: integer(1)
      notnull: true
    active_index:
      type: integer(1)
      notnull: true
    nom:
      type: string(55)
      notnull: true
    adresse:
      type: string(255)
      notnull: true
    code_postal:
      type: string(55)
      notnull: true
    ville:
      type: string(55)
      notnull: true
    telephone:
      type: string(55)
    fax:
      type: string(55)
    created_at:
      type: timestamp(25)
      notnull: true
    updated_at:
      type: timestamp(25)
      default: '0000-00-00 00:00:00'
      notnull: true
    horaires: string(255)
    tarifs: string(255)
    description: string(2147483647)
    presentation: string(2147483647)
    texte_metier_1: string(2147483647)
    texte_metier_2: string(2147483647)
    image_1: string(55)
    lien: string(255)
    image_2: string(55)
    texte_2: string(2147483647)
    image_3: string(55)
    texte_3: string(2147483647)
    image_4: string(55)
    texte_4: string(2147483647)
    image_5: string(55)
    texte_5: string(2147483647)
    image_101: string(2147483647)
    image_102: string(2147483647)
    image_103: string(2147483647)
    image_104: string(2147483647)
    css: string(2147483647)
    label_metier_album_1:
      type: string(55)
    label_metier_album_2:
      type: string(55)
    label_metier_texte_1:
      type: string(55)
    label_metier_texte_2:
      type: string(55)
  relations:
    Type:
      local: type_id
      foreign: id
      type: one
      foreignAlias: Lieux
    Admins:
      class: Membre
      foreignAlias: Lieux
      refClass: LieuAdmin
      local: lieu_id
      foreign: membre_id    
  actAs:
    Timestampable:
LieuAdmin:
  tableName: lieu_admin
  columns:
    lieu_id:
      type: integer(3)
      unsigned: 1
      primary: true
    membre_id:
      type: integer(3)
      unsigned: 1
      primary: true
  relations:
    Lieu:
      local: lieu_id
      foreign: id
      foreignAlias: LieuxAdmins
    Membre:
      local: membre_id
      foreign: id
      foreignAlias: LieuxAdmins
LieuGalerieMedia:
  tableName: lieu_galerie_media
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    lieu_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    titre: string(255)
    nom_fichier:
      type: string(30)
      notnull: true
  relations:
    Lieu:
      local: lieu_id
      foreign: id
      type: one
      foreignAlias: LieuGalerieMedias
LieuStaffMedia:
  tableName: lieu_staff_media
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    lieu_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    titre: string(255)
    nom_fichier:
      type: string(30)
      notnull: true
  relations:
    Lieu:
      local: lieu_id
      foreign: id
      type: one
      foreignAlias: LieuStaffMedias
LieuMetierMedia:
  tableName: lieu_metier_media
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    lieu_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    titre: string(255)
    nom_fichier:
      type: string(30)
      notnull: true
    album_id:
      type: integer(1)
      notnull: true
  relations:
    Lieu:
      local: lieu_id
      foreign: id
      type: one
      foreignAlias: LieuMetierMedias
LieuVideo:
  tableName: lieu_video
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    lieu_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    titre: string(255)
    url:
      type: string(255)
      notnull: true
  relations:
    Lieu:
      local: lieu_id
      foreign: id
      type: one
      foreignAlias: LieuVideos
Membre:
  tableName: membre
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    pseudo:
      type: string(40)
      notnull: true
    mot_passe:
      type: string(255)
      notnull: true
    confirmation:
      type: integer(1)
      default: '0'
      notnull: true
    confirmation_code:
      type: string(50)
      notnull: true
    email:
      type: string(255)
      notnull: true
    date_naissance:
      type: date(25)
      notnull: true
    sexe:
      type: integer(1)
      notnull: true
    created_at:
      type: date(25)
      notnull: true
    fonction_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    civilite_id:
      type: integer(3)
      unsigned: 1
    fume:
      type: integer(1)
    enfants:
      type: integer(1)
    ville:
      type: string(40)
      notnull: true
    code_postal:
      type: string(10)
      notnull: true
    derniere_requete:
      type: timestamp(25)
      notnull: true
    level_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    prenom: string(25)
    image_profil: string(30)
    portable: string(20)
    annonce: string(2147483647)
    img_1: string(255)
    img_2: string(255)
    img_3: string(255)
    site_web: string(255)
    mot_passe_crypte: string(255)
    notification_newsletter:
      type: integer(1)
      notnull: true
      default: 0
  relations:
    Fonction:
      local: fonction_id
      foreign: id
      type: one
      foreignAlias: Membres
    Civilite:
      local: civilite_id
      foreign: id
      type: one
      foreignAlias: Membres
    Level:
      local: level_id
      foreign: id
      type: one
      foreignAlias: Membres
    ReportagesPresents:
      class: Reportage
      foreignAlias: MembresPresents
      refClass: ReportageInscription
      local: membre_id
      foreign: reportage_id
  actAs:
    Timestampable:
      updated:
         disabled: true
MembreAmis:
  tableName: membre_amis
  columns:
    membre_id:
      type: integer(3)
      unsigned: 1
      primary: true
    ami_membre_id:
      type: integer(3)
      unsigned: 1
      primary: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    AmiMembre:
      class: Membre
      local: ami_membre_id
      foreign: id
      type: one
      foreignAlias: EstAmi
    Membre:
      class: Membre
      local: membre_id
      foreign: id
      type: one
      foreignAlias: Amis
  actAs:
    Timestampable:
      updated:
         disabled: true
MembreGuestbook:
  tableName: membre_guestbook
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    posteur_membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    message:
      type: string(255)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    Membre:
      class: Membre
      local: membre_id
      foreign: id
      type: one
      foreignAlias: GuestbooksRecus
    PosteurMembre:
      class: Membre
      local: posteur_membre_id
      foreign: id
      type: one
      foreignAlias: GuestbooksEcrits
  actAs:
    Timestampable:
      updated:
         disabled: true
Message:
  tableName: message
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    titre:
      type: string(60)
      notnull: true
    message:
      type: string(2147483647)
      notnull: true
    lu:
      type: integer(1)
      default: '0'
      notnull: true
    expediteur_membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    destinataire_membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    ExpediteurMembre:
      class: Membre
      local: expediteur_membre_id
      foreign: id
      type: one
      foreignAlias: MessagesEnvoyes
    DestinataireMembre:
      class: Membre
      local: destinataire_membre_id
      foreign: id
      type: one
      foreignAlias: MessagesRecus
  actAs:
    Timestampable:
      updated:
         disabled: true
Reportage:
  tableName: reportage
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    is_reportage_video:
      type: integer(1)
      notnull: true
    lieu_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    date:
      type: date(25)
      notnull: true
    evenement_id:
      type: integer(3)
      unsigned: 1
    titre:
      type: string(255)
      notnull: true
    description:
      type: string(2147483647)
      notnull: true
    path_dossier:
      type: string(80)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
    active:
      type: integer(1)
      notnull: true
    active_index:
      type: integer(1)
      notnull: true
  relations:
    Evenement:
      local: evenement_id
      foreign: id
      type: one
      foreignAlias: Reportages
    Lieu:
      local: lieu_id
      foreign: id
      type: one
      foreignAlias: Reportages
    Reporters:
      class: Membre
      foreignAlias: Reportages
      refClass: ReportageReporter
      local: reportage_id
      foreign: membre_id
  actAs:
    Timestampable:
      updated:
         disabled: true
ReportageReporter:
  tableName: reportage_reporter
  columns:
    reportage_id:
      type: integer(3)
      unsigned: 1
      primary: true
    membre_id:
      type: integer(3)
      unsigned: 1
      primary: true
  relations:
    Reportage:
      local: reportage_id
      foreign: id
      foreignAlias: ReportageReporters
    Membre:
      local: membre_id
      foreign: id
      foreignAlias: ReportageReporters
ReportageInscription:
  tableName: reportage_inscription
  columns:
    reportage_id:
      type: integer(3)
      unsigned: 1
      primary: true
    membre_id:
      type: integer(3)
      unsigned: 1
      primary: true
  relations:
    Reportage:
      local: reportage_id
      foreign: id
      foreignAlias: ReportageInscriptions
    Membre:
      local: membre_id
      foreign: id
      foreignAlias: ReportageInscriptions   
ReportageComment:
  tableName: reportage_comment
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    reportage_media_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    message:
      type: string(255)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    ReportageMedia:
      local: reportage_media_id
      foreign: id
      type: one
      foreignAlias: ReportagesComments
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: ReportagesComments
  actAs:
    Timestampable:
      updated:
         disabled: true
ReportageEcard:
  tableName: reportage_ecard
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    reportage_media_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    email:
      type: string(255)
      notnull: true
    objet:
      type: string(255)
      notnull: true
    message:
      type: string(2147483647)
      notnull: true
    code_visualisation:
      type: string(55)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
    lu:
      type: integer(1)
      default: '0'
      notnull: true
    email_reply: string(255)
  relations:
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: ReportagesEcards
    ReportageMedia:
      local: reportage_media_id
      foreign: id
      type: one
      foreignAlias: ReportagesEcards
  actAs:
    Timestampable:
      updated:
         disabled: true
ReportageFavori:
  tableName: reportage_favori
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    reportage_media_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: ReportagesFavoris
    ReportageMedia:
      local: reportage_media_id
      foreign: id
      type: one
      foreignAlias: ReportagesFavoris
  actAs:
    Timestampable:
      updated:
         disabled: true
ReportageMedia:
  tableName: reportage_media
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    reportage_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    is_video:
      type: integer(1)
      notnull: true
    nom_fichier:
      type: string(80)
      notnull: true
  relations:
    Reportage:
      local: reportage_id
      foreign: id
      type: one
      foreignAlias: ReportageMedias
Reporter:
  tableName: reporter
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    actif:
      type: integer(1)
      default: '0'
      notnull: true
    prenom:
      type: string(55)
      notnull: true
    nom:
      type: string(55)
      notnull: true
    adresse:
      type: string(255)
      notnull: true
    ville:
      type: string(55)
      notnull: true
    code_postal:
      type: string(55)
      notnull: true
    date_naissance:
      type: string(55)
      notnull: true
    tel_domicile:
      type: string(55)
      notnull: true
    tel_portable:
      type: string(55)
      notnull: true
    email:
      type: string(55)
      notnull: true
    profession:
      type: string(55)
      notnull: true
    loisirs:
      type: string(255)
      notnull: true
    clubs_favoris:
      type: string(255)
      notnull: true
    style_musical:
      type: string(55)
      notnull: true
    ordinateur_net:
      type: integer(1)
      notnull: true
    voiture:
      type: integer(1)
      notnull: true
    appareil_photo:
      type: integer(1)
      notnull: true
    motivations_dispo_pseudo:
      type: string(255)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  actAs:
    Timestampable:
      updated:
         disabled: true
Saint:
  tableName: saint
  columns:
    jour:
      type: integer(3)
      unsigned: 1
      primary: true
    fete:
      type: string(2147483647)
      notnull: true
    lever:
      type: time(25)
      default: '00:00:00'
      notnull: true
    coucher:
      type: time(25)
      default: '00:00:00'
      notnull: true
    jour_mois:
      type: string(10)
      notnull: true
Stats:
  tableName: stats
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    pages_vues:
      type: integer(3)
      unsigned: 1
      notnull: true
    date:
      type: date(25)
      notnull: true
    visites:
      type: integer(3)
      unsigned: 1
      notnull: true
    envoi_anniversaire:
      type: integer(1)
      notnull: true
      default: 0
Type:
  tableName: type
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom:
      type: string(55)
      notnull: true
    is_sortie:
      type: integer(1)
      notnull: true
    is_bar_club:
      type: integer(1)
      notnull: true
    is_divers:
      type: integer(1)
      notnull: true
    priorite:
      type: integer(1)
      notnull: false
ChangementEmail:
  tableName: changement_email
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    membre_id:
      type: integer(3)
      unsigned: true
      notnull: true      
    email:
      type: string(255)
      notnull: true
    confirmation_code:
      type: string(50)
      notnull: true
    created_at:
      type: date(25)
      notnull: true
  relations:
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: ChangementsEmail
  actAs:
    Timestampable:
      updated:
         disabled: true
NewsletterAbonnement:
  tableName: newsletter_abonnement
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    active:
      type: integer(1)
      notnull: true
    membre_id:
      type: integer(3)
      unsigned: true
      notnull: true
    email:
      type: string(255)
      notnull: true
    chariot: integer(1)
  relations:
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: NewsletterAbonnements
NewsletterEtat:
  tableName: newsletter_etat
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    created_at:
      type: date(25)
      notnull: true    
  actAs:
    Timestampable:
      updated:
         disabled: true
NewsletterContenu:
  tableName: newsletter_contenu
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    texte:
      type: string(2147483647)
      notnull: true
    envoye:
      type: integer(1)
      notnull: true
      default: '0'
    brouillon:
      type: integer(1)
      notnull: true
      default: '1'
    membre_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    adresses:
      type: string(2147483647)
      notnull: false
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    Membre:
      local: membre_id
      foreign: id
      type: one
      foreignAlias: NewsletterContenus
  actAs:
    Timestampable:
      updated:
         disabled: true     
Sondage:
  tableName: sondage
  columns:
    id:    
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true  
    question:
      type: string(255)
      notnull: true
    active:
      type: integer(1)
      notnull: true
SondageReponse:
  tableName: sondage_reponse
  columns:
   id:    
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
   sondage_id:
      type: integer(3)
      unsigned: 1
      notnull: true
   texte:
      type: string(255)
      notnull: true
  relations:
    Sondage:
      local: sondage_id
      foreign: id
      type: one
      foreignAlias: Reponses
SondageReponseMembre:
  tableName: sondage_reponse_membre
  columns:
   id:    
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
   sondage_id:
      type: integer(3)
      unsigned: 1
      notnull: true
   sondage_reponse_id:
      type: integer(3)
      unsigned: 1
      notnull: true
   ip:
      type: string(50)
      notnull: true
  relations:
    Sondage:
      local: sondage_id
      foreign: id
      type: one
      foreignAlias: ReponsesMembres
    SondageReponse:
      local: sondage_reponse_id
      foreign: id
      type: one
      foreignAlias: ReponsesMembres
Partenaire:
  tableName: partenaire
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    url_lien:
      type: string(255)
      notnull: true
    url_image:
      type: string(255)
      notnull: true
    active:
      type: integer(1)
      notnull: true
    priorite:
      type: integer(1)
      notnull: true
News:
  tableName: news
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    texte:
      type: string(2147483647)
      notnull: true
    active:
      type: integer(1)
      notnull: true
    priorite:
      type: integer(1)
      notnull: true
BonPlan:
  tableName: bon_plan
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    texte:
      type: string(2147483647)
      notnull: true
    url_image:
      type: string(255)
      notnull: true
    active:
      type: integer(1)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  actAs:
    Timestampable:
      updated:
         disabled: true
Video:
  tableName: video
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    titre:
      type: string(255)
      notnull: true
    video_categorie_id:
      type: integer(3)
      unsigned: 1
      notnull: true
    url:
      type: string(255)
      notnull: true
    active:
      type: integer(1)
      notnull: true
    created_at:
      type: timestamp(25)
      notnull: true
  relations:
    VideoCategorie:
      local: video_categorie_id
      foreign: id
      type: one
      foreignAlias: Videos
  actAs:
    Timestampable:
      updated:
         disabled: true
VideoCategorie:
  tableName: video_categorie
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom:
      type: string(255)
      notnull: true
Banniere:
  tableName: banniere
  columns:
    id:
      type: integer(3)
      unsigned: 1
      primary: true
      autoincrement: true
    nom_fichier:
      type: string(30)
      notnull: true
    type:
      type: string(2)
      notnull: true
    date_debut:
      type: date(25)
      notnull: true
    date_fin:
      type: date(25)
      notnull: false